跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 22.6.1, which is no longer the latest release. See the latest release.

Add a public key on behalf of a user

POST
/admin/users/{username}/keys
curl --request POST \
--url https://gitea.example.com/api/v1/admin/users/example/keys \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "key": "example", "read_only": true, "title": "example" }'
username
required
string

Username of the user

Media typeapplication/json

CreateKeyOption options when creating a key

object
key
required

An armored SSH key to add

string
unique items
read_only

Describe if the key has only read access or read/write

boolean
title
required

Title of the key to add

string
unique items
Examplegenerated
{
"key": "example",
"read_only": true,
"title": "example"
}

PublicKey

Media typeapplication/json

PublicKey publickey is a user key to push code to repository

object
created_at
string format: date-time
fingerprint
string
id
integer format: int64
key
string
key_type
string
read_only
boolean
title
string
url
string
user

User represents a user

object
active

Is user active

boolean
avatar_url

URL to the user’s avatar

string
created
string format: date-time
description

The user’s description

string
email
string format: email
followers_count

User counts

integer format: int64
following_count
integer format: int64
full_name

The user’s full name

string
html_url

URL to the user’s gitea page

string
id

The user’s id

integer format: int64
is_admin

Is the user an administrator

boolean
language

User locale

string
last_login
string format: date-time
location

The user’s location

string
login

The user’s username

string
login_name

The user’s authentication sign-in name.

string
default: empty
prohibit_login

Is user login prohibited

boolean
restricted

Is user restricted

boolean
source_id

The ID of the user’s Authentication Source

integer format: int64
starred_repos_count
integer format: int64
visibility

User visibility level option: public, limited, private

string
website

The user’s website

string
Example
{
"user": {
"login_name": "empty"
}
}

APIForbiddenError is a forbidden error response

Media typeapplication/json
message
string
url
string

APIValidationError is error format response related to input validation

Media typeapplication/json
message
string
url
string